# Debian Packages for Forgejo
Hello! If you're want to run Forgejo on Debian/Ubuntu and you're looking for packages to install it to your system, you've come to the right place!

#### Build tests
[![ci-status](https://ci.cryxtal.org/api/badges/crystal/forgejo-deb/status.svg)](https://ci.cryxtal.org/crystal/forgejo-deb)

## Download info
You can find the latest release downloads in [the releases tab](https://codeberg.org/crystal/forgejo-deb/releases). There are currently 3 packages built by this script.
- `forgejo`: A basic production-ready Forgejo build without SQLite support
- `forgejo-sqlite`: A Forgejo build with SQLite support, best way to get started fast
- `forgejo-bin`: A Debian package with the official Forgejo binary, in case you don't trust my builds

## Installation
These packages are easy to use! Just download your preferred package, install it with `apt install ./forgejo-*-linux-amd64.deb` and point your browser to `http://localhost:3000`. The package will set up Forgejo as a systemd service and take care of creating a new user for Forgejo, so all you need to do is set it up to your liking.

The default username for Forgejo's user is `forgejo`, but it can easily be changed prior to installation, for example if you would rather run Forgejo as user `git`. All you need to do is download the files from the `etc` folder in this repository, put them in the respective places on your system, and customize them to your liking. When you use apt to install the Forgejo package, it will create a new user with the specified settings.
